Subject: bug#21525: 24.5; A typo on 16.2 Transposing Text help page

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Sep 2015 20:08:47 +0300

> From: Maxim Kashchenko <[email-masked]>
> Date: Sun, 20 Sep 2015 19:01:27 +0700
> 
> Hello Emacs team,
> 
> Let me quote a paragraph from the manual page first.
> 
>    A numeric argument to a transpose command serves as a repeat count:
> it tells the transpose command to move the character (word, expression,
> line) before or containing point across several other characters (words,
> expressions, lines).  For example, ‘C-u 3 C-t’ moves the character
> before point forward across three other characters.  It would change
> ‘f★oobar’ into ‘oobf★ar’.  This is equivalent to repeating ‘C-t’ three
> times.  ‘C-u - 4 M-t’ moves the word before point backward across four
> words.  ‘C-u - C-M-t’ would cancel the effect of plain ‘C-M-t’.
> 
> I think ‘f★oobar’ becomes ‘foob★ar’ instead of ‘oobf★ar’.

No, the manual is correct.  I just tried it in the current git master.